(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./expand"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const expand_1 = require("./expand");
    const coords = { latitude: 59.33125, longitude: 18.11875 };
    const code = '9FFW84J9+XG';
    it('returns null for invalid codes', () => {
        expect(expand_1.default(undefined, coords)).toEqual(null);
        expect(expand_1.default(null, coords)).toEqual(null);
        expect(expand_1.default('xyz', coords)).toEqual(null);
    });
    it('returns null for invalid reference', () => {
        expect(expand_1.default(code, {})).toEqual(null);
    });
    it('returns the code for full codes', () => {
        expect(expand_1.default(code, coords)).toEqual(code);
    });
    it('expands the codes', () => {
        const refCoords = { latitude: 59.329394, longitude: 18.068712 };
        expect(expand_1.default('FW84J9+XG', refCoords)).toEqual(code);
        expect(expand_1.default('84J9+XG', refCoords)).toEqual(code);
        expect(expand_1.default('J9+XG', refCoords)).toEqual('9FFW83J9+XG'); // westward
    });
});
//# sourceMappingURL=expand.spec.js.map