(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./expand"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const expand_1 = require("./expand");
    const isValid = (subject) => typeof subject === 'string';
    const shortenReducer = (fullCode, ref) => (code, length) => {
        const shortCode = fullCode.slice(10 - length);
        return expand_1.default(shortCode, ref) === fullCode ? shortCode : code;
    };
    const shorten = (code, ref) => {
        if (!isValid(code))
            return null;
        return [10, 8, 6, 4].reduce(shortenReducer(code, ref), null);
    };
    exports.default = shorten;
});
//# sourceMappingURL=shorten.js.map