(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const digits = '23456789CFGHJMPQRVWX';
    const pair = `[${digits}]{2}`;
    const pairOrZero = `([${digits}]|0){2}`;
    const regexp = `^${pair}(${pairOrZero}){0,3}[+](${pair})?$`;
    exports.isValidCoordinates = (coordinates) => typeof coordinates === 'object' && 'longitude' in coordinates && 'latitude' in coordinates;
    exports.isValidCode = (subject) => typeof subject === 'string' && Boolean(subject.match(regexp));
    exports.digitToValue = (x) => digits.indexOf(x);
    exports.valueToDigit = (x) => digits.charAt(x);
    exports.parseNum = (value) => typeof value === 'string' ? parseFloat(value) : value;
});
//# sourceMappingURL=utils.js.map